
Redmine - Defect #6754

Links broken.

2010-10-27 18:14 - Marcello Henrique

Status: Closed Start date: 2010-10-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

In project overview details and report:

wrong: http://domain.com/projects/&lt;project_name&gt;/timelog/(details|report)

correct: http://domain.com/projects/&lt;project_name&gt;/time_entries/(details|report)

In projects URL (http://domain.com/projects).

To create new project link:

wrong: http://domain.com/projects/add

correct: http://domain.com/projects/new

Overall activity:

wrong: http://domain.com/projects/activity

correct: I don't know

I'm using last version trunk (http://redmine.rubyforge.org/svn/trunk), in specific revision: 4295

History

#1 - 2010-10-27 22:50 - Jean-Baptiste Barth

All these links are OK on my instance. Can you provide informations listed in SubmittingBugs and make sure you don't have anything in your browser

or proxy cache ?

#2 - 2010-10-28 21:01 - Marcello Henrique

Jean-Baptiste Barth wrote:

All these links are OK on my instance. Can you provide informations listed in SubmittingBugs and make sure you don't have anything in your

browser or proxy cache ?

 Hello Jean-Baptiste,

I restarted my server, before did it:

rake tmp:cache:clear

rake tmp:sessions:clear

 I'm open browser and clean cache, cookies in my first try, in second with mode private but not work.

It's very strange, see my file "app/views/projects/index.rhtml":

  5 <div class="contextual">

  6     <%= link_to(l(:label_project_new), {:controller => 'projects', :action => 'new'}, :class => 'icon icon

-add') + ' |' if User.current.allowed_to?(:add_project, nil, :global =    > true) %>

  7     <%= link_to(l(:label_issue_view_all), { :controller => 'issues' }) + ' |' if User.current.allowed_to?(

:view_issues, nil, :global => true) %>

  8     <%= link_to(l(:label_overall_spent_time), { :controller => 'time_entries' }) + ' |' if User.current.al

lowed_to?(:view_time_entries, nil, :global => true) %>

  9     <%= link_to l(:label_overall_activity), { :controller => 'activities', :action => 'index' }%>

 10 </div>
 It's very clean that to add new project in line 6 this action is new, Why not work? I'm scared! :-)

My server is one Debian 5.0.6, mysql database.

Script/about:

# script/about 

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.4

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /data/redmine

Environment               development

Database adapter          mysql

Database schema version   20100819172912

About your Redmine plugins

Redmine Graphs plugin       0.1.0

Projects Tree View plugin   0.0.3

Timesheet Plugin            0.5.0

ezFAQ plugin                0.3.5

 Svn info:

# svn info

Caminho: .

URL: http://redmine.rubyforge.org/svn/trunk

Raiz do Repositório: http://redmine.rubyforge.org/svn

UUID do repositório: e93f8b46-1217-0410-a6f0-8f06a7374b81

Revisão: 4302

Tipo de Nó: diretório

Agendado: normal

Autor da Última Mudança: jbbarth

Revisão da Última Mudança: 4302

Data da Última Mudança: 2010-10-27 19:01:26 -0200 (Qua, 27 Out 2010)

 Plugins list:

# svn st

?      vendor/plugins/ezfaq_plugin

?      vendor/plugins/redmine_graphs

?      vendor/plugins/projects_tree_view

?      vendor/plugins/timesheet_plugin

#3 - 2010-10-29 04:46 - Jean-Baptiste Barth

Can you try to see if you can reproduce without all those plugins ? I suspect some of theme override views with the bad links you point out...

#4 - 2010-10-29 12:24 - Marcello Henrique

- Status changed from New to Resolved

Jean-Baptiste Barth wrote:

Can you try to see if you can reproduce without all those plugins ? I suspect some of theme override views with the bad links you point out...

 You hit right in the bull’s eyes, the problem is the plugin "projects_tree_view", (http://github.com/MischaTheEvil/projects_tree_view), I will report this

bug.

Thanks!

#5 - 2010-10-29 12:30 - Marcello Henrique

Marcello Henrique wrote:

Jean-Baptiste Barth wrote:
Can you try to see if you can reproduce without all those plugins ? I suspect some of theme override views with the bad links you point out...

 You hit right in the bull’s eyes, the problem is the plugin "projects_tree_view", (http://github.com/MischaTheEvil/projects_tree_view), I will report

this bug.

Thanks!

 Exchange information:

http://github.com/MischaTheEvil/projects_tree_view/issues#issue/4

#6 - 2010-10-29 12:33 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid

Closing as it is a problem with a plugin. Mischa has been quite active in the last few weeks, so it should get fixed quickly.
